fuzzyowl2

## Enum PropertyDefinition.PropertyType

- java.lang.Object
- - java.lang.Enum<PropertyDefinition.PropertyType>
  - - fuzzyowl2.PropertyDefinition.PropertyType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PropertyDefinition.PropertyType>
  Enclosing class:
    PropertyDefinition

      public static enum PropertyDefinition.PropertyType
      extends java.lang.Enum<PropertyDefinition.PropertyType>

  Types of fuzzy properties that can be defined using annotations.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MODIFIED_PROPERTY`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PropertyDefinition.PropertyType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PropertyDefinition.PropertyType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MODIFIED_PROPERTY

          public static final PropertyDefinition.PropertyType MODIFIED_PROPERTY

  - ### Method Detail

    - #### values

          public static PropertyDefinition.PropertyType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PropertyDefinition.PropertyType c : PropertyDefinition.PropertyType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PropertyDefinition.PropertyType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null